/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "valida_producto")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "ValidaProducto.findAll", query = "SELECT v FROM ValidaProducto v"),
        @NamedQuery(name = "ValidaProducto.findByRespuesta", query = "SELECT v FROM ValidaProducto v WHERE v.respuesta = :respuesta")})
public class ValidaProducto implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 255)
    @Column(name = "respuesta")
    private String respuesta;

    public ValidaProducto() {
    }

    public ValidaProducto(String respuesta) {
        this.respuesta = respuesta;
    }

    public String getRespuesta() {
        return respuesta;
    }

    public void setRespuesta(String respuesta) {
        this.respuesta = respuesta;
    }

//    @Override
//    public int hashCode() {
//        int hash = 0;
//        hash += (respuesta != null ? respuesta.hashCode() : 0);
//        return hash;
//    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ValidaProducto)) {
            return false;
        }
        ValidaProducto other = (ValidaProducto) object;
        if ((this.respuesta == null && other.respuesta != null) || (this.respuesta != null && !this.respuesta.equals(other.respuesta))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.ValidaProducto[ respuesta=" + respuesta + " ]";
    }

}
